"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dist_1 = require("@now/build-utils/dist");
async function getIncludedFiles({ files, entrypoint, workPath, config, meta }) {
    // Download all files to workPath
    const downloadedFiles = await dist_1.download(files, workPath, meta);
    let includedFiles = {};
    if (config && config.includeFiles) {
        // Find files for each glob
        for (const pattern of config.includeFiles) {
            const matchedFiles = await dist_1.glob(pattern, workPath);
            Object.assign(includedFiles, matchedFiles);
        }
        // explicit and always include the entrypoint
        Object.assign(includedFiles, {
            [entrypoint]: files[entrypoint],
        });
    }
    else {
        // Backwards compatibility
        includedFiles = downloadedFiles;
    }
    return includedFiles;
}
exports.getIncludedFiles = getIncludedFiles;
